> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Speech to Text batch report requests

> Retrieves all Speech to Text batch report requests for the authenticated user



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/usage-reports.yml get /legacy/reporting/batch/detail/records/speech/to/text
openapi: 3.1.0
info:
  title: Telnyx Usage Reports API
  version: 2.0.0
  description: API for Usage reports.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /legacy/reporting/batch/detail/records/speech/to/text:
    get:
      tags:
        - Speech to Text Batch Reports
      summary: Get all Speech to Text batch report requests
      description: >-
        Retrieves all Speech to Text batch report requests for the authenticated
        user
      operationId: getSttRequests
      parameters: []
      responses:
        '200':
          description: Speech to text batch report requests retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SttGetDetailReportResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const speechToTexts = await
            client.legacy.reporting.batchDetailRecords.speechToText.list();


            console.log(speechToTexts.data);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            speech_to_texts =
            client.legacy.reporting.batch_detail_records.speech_to_text.list()

            print(speech_to_texts.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tspeechToTexts, err := client.Legacy.Reporting.BatchDetailRecords.SpeechToText.List(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", speechToTexts.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextListParams;

            import
            com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SpeechToTextListResponse speechToTexts = client.legacy().reporting().batchDetailRecords().speechToText().list();
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            speech_to_texts =
            telnyx.legacy.reporting.batch_detail_records.speech_to_text.list


            puts(speech_to_texts)
        - lang: CLI
          source: |-
            telnyx legacy:reporting:batch-detail-records:speech-to-text list \
              --api-key 'My API Key'
components:
  schemas:
    SttGetDetailReportResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SttDetailReportResponse'
    SttDetailReportResponse:
      type: object
      properties:
        id:
          type: string
          description: Identifies the resource
          example: ab76c3b6-80cd-11eb-9439-0242ac130002
        created_at:
          type: string
          format: date-time
          example: '2020-07-01T00:00:00-06:00'
        start_date:
          type: string
          format: date-time
          example: '2020-07-01T00:00:00-06:00'
        end_date:
          type: string
          format: date-time
          example: '2020-07-01T00:00:00-06:00'
        download_link:
          type: string
          description: URL to download the report
          example: https://portal-cdrs-usage.s3.amazonaws.com
        status:
          type: string
          enum:
            - PENDING
            - COMPLETE
            - FAILED
            - EXPIRED
        record_type:
          type: string
          example: speech_to_text_report
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````